GtkDatabox: gtk/gtkdatabox_markers.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Enumerations | Functions
gtk/gtkdatabox_markers.h File Reference
`#include <gtkdatabox_xyc_graph.h>`
Include dependency graph for gtkdatabox_markers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxMarkers
struct | _GtkDataboxMarkersClass
## Defines
#define | GTK_DATABOX_TYPE_MARKERS (gtk_databox_markers_get_type ())
#define | GTK_DATABOX_MARKERS(obj)
#define | GTK_DATABOX_MARKERS_CLASS(klass)
#define | GTK_DATABOX_IS_MARKERS(obj)
#define | GTK_DATABOX_IS_MARKERS_CLASS(klass)
#define | GTK_DATABOX_MARKERS_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxMarkers | GtkDataboxMarkers
typedef struct _GtkDataboxMarkersClass | GtkDataboxMarkersClass
typedef struct _GtkDataboxMarkersPrivate | GtkDataboxMarkersPrivate
## Enumerations
enum | GtkDataboxMarkersPosition { GTK_DATABOX_MARKERS_C = 0, GTK_DATABOX_MARKERS_N, GTK_DATABOX_MARKERS_E, GTK_DATABOX_MARKERS_S, GTK_DATABOX_MARKERS_W }
enum | GtkDataboxMarkersTextPosition { GTK_DATABOX_MARKERS_TEXT_CENTER = 0, GTK_DATABOX_MARKERS_TEXT_N, GTK_DATABOX_MARKERS_TEXT_NE, GTK_DATABOX_MARKERS_TEXT_E, GTK_DATABOX_MARKERS_TEXT_SE, GTK_DATABOX_MARKERS_TEXT_S, GTK_DATABOX_MARKERS_TEXT_SW, GTK_DATABOX_MARKERS_TEXT_W, GTK_DATABOX_MARKERS_TEXT_NW }
enum | GtkDataboxMarkersType { GTK_DATABOX_MARKERS_NONE = 0, GTK_DATABOX_MARKERS_TRIANGLE, GTK_DATABOX_MARKERS_SOLID_LINE, GTK_DATABOX_MARKERS_DASHED_LINE }
## Functions
GType | gtk_databox_markers_get_type (void)
GtkDataboxGraph * | gtk_databox_markers_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, guint size, GtkDataboxMarkersType type)
void | gtk_databox_markers_set_position (GtkDataboxMarkers *markers, guint index, GtkDataboxMarkersPosition position)
void | gtk_databox_markers_set_label (GtkDataboxMarkers *markers, guint index, GtkDataboxMarkersTextPosition label_position, gchar *text, gboolean boxed)

## Define Documentation

#define GTK_DATABOX_IS_MARKERS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_MARKERS))

#define GTK_DATABOX_IS_MARKERS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_MARKERS))

#define GTK_DATABOX_MARKERS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_MARKERS, \
                                               GtkDataboxMarkers))

#define GTK_DATABOX_MARKERS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_MARKERS, \
                                               GtkDataboxMarkersClass))

#define GTK_DATABOX_MARKERS_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_MARKERS, \
                                               GtkDataboxMarkersClass))

#define GTK_DATABOX_TYPE_MARKERS (gtk_databox_markers_get_type ())

SECTION:gtkdatabox_markers : A GtkDataboxGraph used for displaying labeled markers for xy-values. gtkdatabox_markers.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars

GtkDataboxMarkers is a GtkDataboxGraph class for displaying labeled markers (circles, triangles, lines) for xy-values.

## Typedef Documentation

typedef struct _GtkDataboxMarkers GtkDataboxMarkers

GtkDataboxMarkers: : The parent object : A private structure containing internal data.

GtkDataboxMarkers is a GtkDataboxGraph class for displaying labeled markers (circles, triangles, lines) for xy-values.

typedef struct _GtkDataboxMarkersClass GtkDataboxMarkersClass

typedef struct _GtkDataboxMarkersPrivate GtkDataboxMarkersPrivate

GtkDataboxMarkersPrivate:

A private data structure used by the GtkDataboxMarkers. It shields all internal things from developers who are just using the object.

## Enumeration Type Documentation

enum GtkDataboxMarkersPosition

GtkDataboxMarkersPosition: : centered on data : marker is positioned north of data : marker is positioned east of data : marker is positioned south of data : marker is positioned west of data

Position of a marker relative to its respective X/Y value.

Enumerator:

  GTK_DATABOX_MARKERS_C |
  GTK_DATABOX_MARKERS_N |
  GTK_DATABOX_MARKERS_E |
  GTK_DATABOX_MARKERS_S |
  GTK_DATABOX_MARKERS_W |

enum GtkDataboxMarkersTextPosition

GtkDataboxMarkersTextPosition: : text centered on marker : text north of marker : text north-east of marker : text east of marker : text south-east of marker : text south of marker : text south-west of marker : text west of marker : text north-west of marker

Position of a label relative to its repective marker.

Enumerator:

  GTK_DATABOX_MARKERS_TEXT_CENTER |
  GTK_DATABOX_MARKERS_TEXT_N |
  GTK_DATABOX_MARKERS_TEXT_NE |
  GTK_DATABOX_MARKERS_TEXT_E |
  GTK_DATABOX_MARKERS_TEXT_SE |
  GTK_DATABOX_MARKERS_TEXT_S |
  GTK_DATABOX_MARKERS_TEXT_SW |
  GTK_DATABOX_MARKERS_TEXT_W |
  GTK_DATABOX_MARKERS_TEXT_NW |

enum GtkDataboxMarkersType

GtkDataboxMarkersType: : No Marker (just text) : Marker is a triangle : Marker is a solid line : Marker is a dashed line

Type of the marker

Enumerator:

  GTK_DATABOX_MARKERS_NONE |
  GTK_DATABOX_MARKERS_TRIANGLE |
  GTK_DATABOX_MARKERS_SOLID_LINE |
  GTK_DATABOX_MARKERS_DASHED_LINE |

## Function Documentation

GType gtk_databox_markers_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_markers_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | guint | size,
|  | GtkDataboxMarkersType | type
| ) |  |

gtk_databox_markers_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the ) : type of markers (e.g. triangle or circle)

Creates a new GtkDataboxMarkers object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxMarkers object

void gtk_databox_markers_set_label | ( | GtkDataboxMarkers * | markers,
|  | guint | index,
|  | GtkDataboxMarkersTextPosition | label_position,
|  | gchar * | text,
|  | gboolean | boxed
| ) |  |

gtk_databox_markers_set_label: : A GtkDataboxMarkers object : index within the array of X/Y values : position of the label relative to the marker : text to be displayed in the label : Whether the label is to be enclosed in a box (true) or not (false)

Sets a label for one of the markers.

Here is the call graph for this function:

Here is the caller graph for this function:

void gtk_databox_markers_set_position | ( | GtkDataboxMarkers * | markers,
|  | guint | index,
|  | GtkDataboxMarkersPosition | position
| ) |  |

gtk_databox_markers_set_position: : A GtkDataboxMarkers object : index within the array of X/Y values : position of the marker (e.g. circle or triangle relative to their X/Y value

Sets a position for one of the markers.

Here is the call graph for this function:

Here is the caller graph for this function:
All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines